Index: BOOK/cross-tools/common/mpfr.xml
===================================================================
--- BOOK/cross-tools/common/mpfr.xml	(revision b0b1007c0c36c4db88ac6b551b219f973f91beb2)
+++ BOOK/cross-tools/common/mpfr.xml	(revision 85fc1b3fbb9723bd0c895fa27e6d1dabd71139b4)
@@ -27,14 +27,9 @@
     <title>Installation of MPFR</title>
 
-    <para os="p1">The following patch contains a number of updates to the
-    &mpfr-version; branch by the MPFR developers:</para>
-
-<screen os="p2"><userinput>patch -Np1 -i ../&mpfr-branch_update-patch;</userinput></screen>
-
     <para os="a">Prepare MPFR for compilation:</para>
 
-<screen os="b"><userinput>LDFLAGS="-Wl,-rpath,/cross-tools/lib" \
-  ./configure --prefix=/cross-tools --enable-shared \
-  --with-gmp=/cross-tools</userinput></screen>
+<screen os="b"><userinput>LDFLAGS="-Wl,-rpath,${CLFS}/cross-tools/lib" \
+  ./configure --prefix=${CLFS}/cross-tools --enable-shared \
+  --with-gmp=${CLFS}/cross-tools</userinput></screen>
 
     <para os="c">Compile the package:</para>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision b0b1007c0c36c4db88ac6b551b219f973f91beb2)
+++ BOOK/introduction/common/changelog.xml	(revision 85fc1b3fbb9723bd0c895fa27e6d1dabd71139b4)
@@ -40,4 +40,7 @@
       <para>November 21, 2010</para>
       <itemizedlist>
+        <listitem>
+          <para>[jciccone] - Updated MPFR to 3.0.0.</para>
+        </listitem>
         <listitem>
           <para>[jciccone] - Updated GMP to 5.0.1.</para>
Index: BOOK/materials/common/patches.xml
===================================================================
--- BOOK/materials/common/patches.xml	(revision b0b1007c0c36c4db88ac6b551b219f973f91beb2)
+++ BOOK/materials/common/patches.xml	(revision 85fc1b3fbb9723bd0c895fa27e6d1dabd71139b4)
@@ -65,13 +65,4 @@
 
     <varlistentry>
-      <term>MPFR Branch Update Patch - <token>&mpfr-branch_update-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink
-        url="&patches-root;&mpfr-branch_update-patch;"/></para>
-        <para>MD5 sum: <literal>&mpfr-branch_update-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
       <term>uClibc Branch Update Patch - <token>&uclibc-branch_update-patch-size;</token>:</term>
       <listitem>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision b0b1007c0c36c4db88ac6b551b219f973f91beb2)
+++ BOOK/packages.ent	(revision 85fc1b3fbb9723bd0c895fa27e6d1dabd71139b4)
@@ -61,9 +61,9 @@
 <!ENTITY linux-home "http://www.kernel.org">
 
-<!ENTITY mpfr-version "2.4.1">
-<!ENTITY mpfr-size "1,039 KB">
+<!ENTITY mpfr-version "3.0.0">
+<!ENTITY mpfr-size "1,112 KB">
 <!ENTITY mpfr-dlid "18439">
 <!ENTITY mpfr-url "http://gforge.inria.fr/frs/download.php/&mpfr-dlid;/mpfr-&mpfr-version;.tar.bz2">
-<!ENTITY mpfr-md5 "f5916d785d4f7e7282057f6a3ebff9ce">
+<!ENTITY mpfr-md5 "f45bac3584922c8004a10060ab1a8f9f">
 <!ENTITY mpfr-home "http://www.mpfr.org/">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision b0b1007c0c36c4db88ac6b551b219f973f91beb2)
+++ BOOK/patches.ent	(revision 85fc1b3fbb9723bd0c895fa27e6d1dabd71139b4)
@@ -24,8 +24,4 @@
 <!ENTITY gcc-posix-patch-md5 "ccc0d5f959234bf4fed2b6fa338d6117">
 <!ENTITY gcc-posix-patch-size "13 KB">
-
-<!ENTITY mpfr-branch_update-patch "mpfr-&mpfr-version;-branch_update-1.patch">
-<!ENTITY mpfr-branch_update-patch-md5 "45b649ee8fe4ad885bbef5386df84bcf">
-<!ENTITY mpfr-branch_update-patch-size "3 KB">
 
 <!ENTITY uclibc-branch_update-patch "uClibc-&uclibc-version;-branch_update-1.patch">
Index: tches/mpfr-2.4.1-branch_update-1.patch
===================================================================
--- patches/mpfr-2.4.1-branch_update-1.patch	(revision b0b1007c0c36c4db88ac6b551b219f973f91beb2)
+++ 	(revision )
@@ -1,130 +1,0 @@
-Submitted By: Jim Gifford (jim at cross-lfs dot org)
-Date: 2009-02-28
-Initial Package Version: 2.4.1
-Origin: MPFR Website
-Upstream Status: Fixed
-Description: See http://www.mpfr.org Website Under Bugs
-
-diff -Naur mpfr-2.4.1.orig/mpfr.h mpfr-2.4.1/mpfr.h
---- mpfr-2.4.1.orig/mpfr.h	2009-02-25 08:16:08.000000000 -0800
-+++ mpfr-2.4.1/mpfr.h	2009-02-28 15:22:16.554489175 -0800
-@@ -27,7 +27,7 @@
- #define MPFR_VERSION_MAJOR 2
- #define MPFR_VERSION_MINOR 4
- #define MPFR_VERSION_PATCHLEVEL 1
--#define MPFR_VERSION_STRING "2.4.1"
-+#define MPFR_VERSION_STRING "2.4.1-p1"
- 
- /* Macros dealing with MPFR VERSION */
- #define MPFR_VERSION_NUM(a,b,c) (((a) << 16L) | ((b) << 8) | (c))
-diff -Naur mpfr-2.4.1.orig/PATCHES mpfr-2.4.1/PATCHES
---- mpfr-2.4.1.orig/PATCHES	2009-02-20 01:43:17.000000000 -0800
-+++ mpfr-2.4.1/PATCHES	2009-02-28 15:22:16.554489175 -0800
-@@ -0,0 +1 @@
-+remainder-neg
-diff -Naur mpfr-2.4.1.orig/rem1.c mpfr-2.4.1/rem1.c
---- mpfr-2.4.1.orig/rem1.c	2009-02-20 01:43:17.000000000 -0800
-+++ mpfr-2.4.1/rem1.c	2009-02-28 15:22:16.554489175 -0800
-@@ -170,7 +170,12 @@
-     }
- 
-   if (mpz_cmp_ui (r, 0) == 0)
--    inex = mpfr_set_ui (rem, 0, GMP_RNDN);
-+    {
-+      inex = mpfr_set_ui (rem, 0, GMP_RNDN);
-+      /* take into account sign of x */
-+      if (signx < 0)
-+        mpfr_neg (rem, rem, GMP_RNDN);
-+    }
-   else
-     {
-       if (rnd_q == GMP_RNDN)
-@@ -190,6 +195,9 @@
-                 *quo += 1;
-             }
-         }
-+      /* take into account sign of x */
-+      if (signx < 0)
-+        mpz_neg (r, r);
-       inex = mpfr_set_z (rem, r, rnd);
-       /* if ex > ey, rem should be multiplied by 2^ey, else by 2^ex */
-       MPFR_EXP (rem) += (ex > ey) ? ey : ex;
-@@ -198,13 +206,6 @@
-   if (quo)
-     *quo *= sign;
- 
--  /* take into account sign of x */
--  if (signx < 0)
--    {
--      mpfr_neg (rem, rem, GMP_RNDN);
--      inex = -inex;
--    }
--
-   mpz_clear (mx);
-   mpz_clear (my);
-   mpz_clear (r);
-diff -Naur mpfr-2.4.1.orig/tests/tremquo.c mpfr-2.4.1/tests/tremquo.c
---- mpfr-2.4.1.orig/tests/tremquo.c	2009-02-20 01:43:15.000000000 -0800
-+++ mpfr-2.4.1/tests/tremquo.c	2009-02-28 15:22:16.554489175 -0800
-@@ -25,6 +25,36 @@
- 
- #include "mpfr-test.h"
- 
-+static void
-+bug20090227 (void)
-+{
-+  mpfr_t x, y, r1, r2;
-+  int inex1, inex2;
-+
-+  mpfr_init2 (x, 118);
-+  mpfr_init2 (y, 181);
-+  mpfr_init2 (r1, 140);
-+  mpfr_init2 (r2, 140);
-+  mpfr_set_si (x, -1, GMP_RNDN);
-+  mpfr_set_str_binary (y, "1.100100100001111110110101010001000100001011010001100001000110100110001001100011001100010100010111000000011011100000111001101000100101001000000100100111000001000100010100110011111010");
-+  inex1 = mpfr_remainder (r1, x, y, GMP_RNDU);
-+  /* since the quotient is -1, r1 is the rounding of x+y */
-+  inex2 = mpfr_add (r2, x, y, GMP_RNDU);
-+  if (mpfr_cmp (r1, r2))
-+    {
-+      printf ("Error in mpfr_remainder (bug20090227)\n");
-+      printf ("Expected ");
-+      mpfr_dump (r2);
-+      printf ("Got      ");
-+      mpfr_dump (r1);
-+      exit (1);
-+    }
-+  mpfr_clear (x);
-+  mpfr_clear (y);
-+  mpfr_clear (r1);
-+  mpfr_clear (r2);
-+}
-+
- int
- main (int argc, char *argv[])
- {
-@@ -50,6 +80,8 @@
- 
-   tests_start_mpfr ();
- 
-+  bug20090227 ();
-+
-   mpfr_init (x);
-   mpfr_init (y);
-   mpfr_init (r);
-diff -Naur mpfr-2.4.1.orig/VERSION mpfr-2.4.1/VERSION
---- mpfr-2.4.1.orig/VERSION	2009-02-25 08:16:08.000000000 -0800
-+++ mpfr-2.4.1/VERSION	2009-02-28 15:22:16.554489175 -0800
-@@ -1 +1 @@
--2.4.1
-+2.4.1-p1
-diff -Naur mpfr-2.4.1.orig/version.c mpfr-2.4.1/version.c
---- mpfr-2.4.1.orig/version.c	2009-02-25 08:16:08.000000000 -0800
-+++ mpfr-2.4.1/version.c	2009-02-28 15:22:16.554489175 -0800
-@@ -25,5 +25,5 @@
- const char *
- mpfr_get_version (void)
- {
--  return "2.4.1";
-+  return "2.4.1-p1";
- }