Index: BOOK/final-system/common/sysvinit.xml
===================================================================
--- BOOK/final-system/common/sysvinit.xml	(revision 5b7944d1c66628c491e45afc05e58596911355bd)
+++ BOOK/final-system/common/sysvinit.xml	(revision 86e02966946bd609acd14ad49265de92bf8329e5)
@@ -25,9 +25,10 @@
     <title>Installation of Sysvinit</title>
 
-<para os ="a">Apply a sed which disables sulogin, mountpoint, wall, and
-utmpdump from being built and installed as they are provided by Util-linux:</para>
+<para os ="a">Apply a sed which disables last, mesg, mountpoint, sulogin,
+utmpdump, and wall from being built and installed as they are provided by
+Util-linux:</para>
 
 <screen os="b"><userinput>sed -i -e 's/\ sulogin[^ ]*//' \
-    -e '/utmpdump/d' -e '/mountpoint/d' src/Makefile</userinput></screen>
+    -e '/utmpdump/d' -e '/mountpoint/d' -e '/mesg/d' src/Makefile</userinput></screen>
 
 <para os ="c">Compile the package:</para>
@@ -124,8 +125,7 @@
 
       <seglistitem>
-        <seg>bootlogd, fstab-decode, halt, init, killall5, last, lastb (link
-        to last), mesg,
-        pidof (link to killall5), poweroff (link to halt),
-        reboot (link to halt), runlevel, shutdown, and telinit (link to init)</seg>
+        <seg>bootlogd, fstab-decode, halt, init, killall5, pidof (link to
+        killall5), poweroff (link to halt), reboot (link to halt), runlevel,
+        shutdown, and telinit (link to init)</seg>
       </seglistitem>
     </segmentedlist>
@@ -194,38 +194,4 @@
       </varlistentry>
 
-      <varlistentry id="last">
-        <term><command>last</command></term>
-        <listitem>
-          <para>Shows which users last logged in (and out), searching back
-          through the <filename>/var/log/wtmp</filename> file; it also shows
-          system boots, shutdowns, and run-level changes</para>
-          <indexterm zone="ch-system-sysvinit last">
-            <primary sortas="b-last">last</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="lastb">
-        <term><command>lastb</command></term>
-        <listitem>
-          <para>Shows the failed login attempts, as logged in
-          <filename>/var/log/btmp</filename></para>
-          <indexterm zone="ch-system-sysvinit lastb">
-            <primary sortas="b-lastb">lastb</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="mesg">
-        <term><command>mesg</command></term>
-        <listitem>
-          <para>Controls whether other users can send messages to the current
-          user's terminal</para>
-          <indexterm zone="ch-system-sysvinit mesg">
-            <primary sortas="b-mesg">mesg</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="pidof">
         <term><command>pidof</command></term>
Index: BOOK/final-system/common/util-linux.xml
===================================================================
--- BOOK/final-system/common/util-linux.xml	(revision 5b7944d1c66628c491e45afc05e58596911355bd)
+++ BOOK/final-system/common/util-linux.xml	(revision 86e02966946bd609acd14ad49265de92bf8329e5)
@@ -106,12 +106,13 @@
         dmesg, eject, fallocate, fdformat, fdisk, findfs, findmnt, flock,
         fsck, fsck.cramfs, fsck.minix, fsfreeze, fstrim, getopt, hexdump,
-        hwclock, ionice, ipcmk, ipcrm, ipcs, isosize, kill, ldattach,
-        logger, look, losetup, lsblk, lscpu, lslocks, mcookie, mkfs, mkfs.bfs,
-        mkfs.cramfs, mkfs.minix, mkswap, more, mount, mountpoint,  namei,
-        partx, pg, pivot_root, prlimit, raw, readprofile, rename, renice,
-        resizepart, rev, rtcwake, script, scriptreplay, setarch, setsid,
-        setterm, sfdisk, sulogin, swaplabel, swapoff (link to swapon), swapon,
-        switch_root, tailf, taskset, tunelp, ul, umount, unshare, utmpdump,
-        uuidd, uuidgen, wall, wdctl, whereis, wipefs, and write</seg>
+        hwclock, ionice, ipcmk, ipcrm, ipcs, isosize, kill, last, lastb (link
+        to last), ldattach, logger, look, losetup, lsblk, lscpu, lslocks,
+        mcookie, mesg, mkfs, mkfs.bfs, mkfs.cramfs, mkfs.minix, mkswap, more,
+        mount, mountpoint,  namei, partx, pg, pivot_root, prlimit, raw,
+        readprofile, rename, renice, resizepart, rev, rtcwake, script,
+        scriptreplay, setarch, setsid, setterm, sfdisk, sulogin, swaplabel,
+        swapoff (link to swapon), swapon, switch_root, tailf, taskset, tunelp,
+        ul, umount, unshare, utmpdump, uuidd, uuidgen, wall, wdctl, whereis,
+        wipefs, and write</seg>
         <seg>libblkid.[a,so], libmount.[a,so], and libuuid.[a,so]</seg>
         <seg>/usr/include/blkid, /usr/include/libmount, /usr/include/uuid,
@@ -519,4 +520,27 @@
       </varlistentry>
 
+      <varlistentry id="last">
+        <term><command>last</command></term>
+        <listitem>
+          <para>Shows which users last logged in (and out), searching back
+          through the <filename>/var/log/wtmp</filename> file; it also shows
+          system boots, shutdowns, and run-level changes</para>
+          <indexterm zone="ch-system-util-linux last">
+            <primary sortas="b-last">last</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="lastb">
+        <term><command>lastb</command></term>
+        <listitem>
+          <para>Shows the failed login attempts, as logged in
+          <filename>/var/log/btmp</filename></para>
+          <indexterm zone="ch-system-util-linux lastb">
+            <primary sortas="b-lastb">lastb</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="ldattach">
         <term><command>ldattach</command></term>
@@ -596,4 +620,15 @@
           <indexterm zone="ch-system-util-linux mcookie">
             <primary sortas="b-mcookie">mcookie</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="mesg">
+        <term><command>mesg</command></term>
+        <listitem>
+          <para>Controls whether other users can send messages to the current
+          user's terminal</para>
+          <indexterm zone="ch-system-util-linux mesg">
+            <primary sortas="b-mesg">mesg</primary>
           </indexterm>
         </listitem>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 5b7944d1c66628c491e45afc05e58596911355bd)
+++ BOOK/introduction/common/changelog.xml	(revision 86e02966946bd609acd14ad49265de92bf8329e5)
@@ -37,4 +37,14 @@
 
 -->
+    <listitem>
+      <para>22 November 2013</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Util-linux now installs last and mesg by
+          default, so use those instead of the versions in Sysvinit.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>18 November 2013</para>