Index: BOOK/boot/alpha/aboot-build.xml
===================================================================
--- BOOK/boot/alpha/aboot-build.xml	(revision 37819ea7a52f92e8246346d61ff6906bbc55d43f)
+++ BOOK/boot/alpha/aboot-build.xml	(revision 88b0c3d0aa1c9c0ec53edf7445ba2d37cd89bd25)
@@ -33,5 +33,5 @@
     <para>Install the package:</para>
 
-<screen><userinput>make root="${LFS}" install</userinput></screen>
+<screen><userinput>make root="${LFS}" bindir=/cross-tools/bin install</userinput></screen>
 
   </sect2>
Index: BOOK/boot/alpha/kernel.xml
===================================================================
--- BOOK/boot/alpha/kernel.xml	(revision 37819ea7a52f92e8246346d61ff6906bbc55d43f)
+++ BOOK/boot/alpha/kernel.xml	(revision 88b0c3d0aa1c9c0ec53edf7445ba2d37cd89bd25)
@@ -30,4 +30,12 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../bootable/alpha/kernel.xml"
+    xpointer="xpointer(//*[@os='ba'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../bootable/alpha/kernel.xml"
+    xpointer="xpointer(//*[@os='bb'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/bootable/alpha/kernel.xml
===================================================================
--- BOOK/bootable/alpha/kernel.xml	(revision 37819ea7a52f92e8246346d61ff6906bbc55d43f)
+++ BOOK/bootable/alpha/kernel.xml	(revision 88b0c3d0aa1c9c0ec53edf7445ba2d37cd89bd25)
@@ -25,4 +25,8 @@
     href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
+
+    <para os="ba">The following patch fixes some inline assembler in the kernel:</para>
+
+<screen os="bb"><userinput>patch -Np1 -i ../&linux-io_fix-patch;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/alpha-chapter.xml
===================================================================
--- BOOK/cross-tools/alpha-chapter.xml	(revision 37819ea7a52f92e8246346d61ff6906bbc55d43f)
+++ BOOK/cross-tools/alpha-chapter.xml	(revision 88b0c3d0aa1c9c0ec53edf7445ba2d37cd89bd25)
@@ -19,5 +19,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="alpha/glibc-headers.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="alpha/gcc-static.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/glibc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="alpha/glibc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="alpha/gcc-final.xml"/>
 
Index: BOOK/cross-tools/alpha/glibc.xml
===================================================================
--- BOOK/cross-tools/alpha/glibc.xml	(revision 88b0c3d0aa1c9c0ec53edf7445ba2d37cd89bd25)
+++ BOOK/cross-tools/alpha/glibc.xml	(revision 88b0c3d0aa1c9c0ec53edf7445ba2d37cd89bd25)
@@ -0,0 +1,127 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-cross-tools-glibc" role="wrap">
+  <?dbhtml filename="glibc.html"?>
+
+  <title>Glibc-&glibc-version;</title>
+
+  <indexterm zone="ch-cross-tools-glibc">
+    <primary sortas="a-Glibc">Glibc</primary>
+    <secondary>cross tools</secondary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/glibc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of Glibc</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='da'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/alpha/glibc.xml"
+    xpointer="xpointer(//*[@os='a1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/alpha/glibc.xml"
+    xpointer="xpointer(//*[@os='a2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='db'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='dc'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='dd'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='de'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/common/glibc.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='df'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='dg'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='dh'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='di'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='dj'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='dk'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='dl'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='dm'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='dn'])"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in <xref
+    linkend="contents-glibc" role="."/></para>
+
+  </sect2>
+
+</sect1>
Index: BOOK/final-system/alpha-chapter.xml
===================================================================
--- BOOK/final-system/alpha-chapter.xml	(revision 37819ea7a52f92e8246346d61ff6906bbc55d43f)
+++ BOOK/final-system/alpha-chapter.xml	(revision 88b0c3d0aa1c9c0ec53edf7445ba2d37cd89bd25)
@@ -17,5 +17,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/temp-perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="alpha/linux-headers.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/glibc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="alpha/glibc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/adjusting.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/binutils.xml"/>
Index: BOOK/final-system/alpha/glibc.xml
===================================================================
--- BOOK/final-system/alpha/glibc.xml	(revision 88b0c3d0aa1c9c0ec53edf7445ba2d37cd89bd25)
+++ BOOK/final-system/alpha/glibc.xml	(revision 88b0c3d0aa1c9c0ec53edf7445ba2d37cd89bd25)
@@ -0,0 +1,142 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-glibc" role="wrap">
+  <title>Glibc-&glibc-version;</title>
+
+  <?dbhtml filename="glibc.html"?>
+
+  <indexterm zone="ch-system-glibc">
+    <primary sortas="a-Glibc">Glibc</primary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of Glibc</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='z'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='b'])"/>
+
+    <para os="a1">The following patch fixes some inline assembler in glibc:</para>
+
+<screen os="a2"><userinput>patch -Np1 -i ../&glibc-ioperm_fix-patch;</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='p2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='s1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='s2'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='i'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='j'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='k'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='l'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='m'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../multilib/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='n'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../multilib/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='o'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../multilib/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='p'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='q'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='r'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='s'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='t'])"/>
+
+  </sect2>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(id('i18n-glibc'))"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(id('conf-glibc'))"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(id('conf-ld'))"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../common/glibc.xml"
+  xpointer="xpointer(id('contents-glibc'))"/>
+
+</sect1>
Index: BOOK/introduction/alpha/changelog.xml
===================================================================
--- BOOK/introduction/alpha/changelog.xml	(revision 37819ea7a52f92e8246346d61ff6906bbc55d43f)
+++ BOOK/introduction/alpha/changelog.xml	(revision 88b0c3d0aa1c9c0ec53edf7445ba2d37cd89bd25)
@@ -35,4 +35,17 @@
 
     <listitem>
+      <para>June 25, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jciccone] - Added a patch to glibc and the kernel that
+                fixes a problem with some of the inline assembler.</para>
+        </listitem>
+        <listitem>
+          <para>[jciccone] - Updated the aboot-fixes patch to -3.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>January 5, 2006</para>
       <itemizedlist>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 37819ea7a52f92e8246346d61ff6906bbc55d43f)
+++ BOOK/introduction/common/changelog.xml	(revision 88b0c3d0aa1c9c0ec53edf7445ba2d37cd89bd25)
@@ -38,4 +38,13 @@
 
     <listitem>
+      <para>Date</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jciccone] - Updated to linux-headers-2.6.17.1-06252006.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>June 24, 2006</para>
       <itemizedlist>
Index: BOOK/materials/alpha/patches.xml
===================================================================
--- BOOK/materials/alpha/patches.xml	(revision 37819ea7a52f92e8246346d61ff6906bbc55d43f)
+++ BOOK/materials/alpha/patches.xml	(revision 88b0c3d0aa1c9c0ec53edf7445ba2d37cd89bd25)
@@ -26,4 +26,22 @@
     xpointer="xpointer(//*[@os='gcc-specs-patch'])"/>
 
+    <varlistentry>
+      <term>Glibc ioperm Fix Patch - <token>&glibc-ioperm_fix-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink
+        url="&patches-root;&glibc-ioperm_fix-patch;"/></para>
+        <para>MD5 sum: <literal>&glibc-ioperm_fix-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
+      <term>Linux IO Fix Patch - <token>&linux-io_fix-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink
+        url="&patches-root;&linux-io_fix-patch;"/></para>
+        <para>MD5 sum: <literal>&linux-io_fix-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
   </variablelist>
 
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 37819ea7a52f92e8246346d61ff6906bbc55d43f)
+++ BOOK/packages.ent	(revision 88b0c3d0aa1c9c0ec53edf7445ba2d37cd89bd25)
@@ -251,8 +251,8 @@
 <!ENTITY linux-home "http://www.kernel.org/">
 
-<!ENTITY linux-headers-version "&linux-version;-06212006">
-<!ENTITY linux-headers-size "1,752 KB">
+<!ENTITY linux-headers-version "&linux-version;-06252006">
+<!ENTITY linux-headers-size "1,760 KB">
 <!ENTITY linux-headers-url "&packages-root;linux-headers-&linux-headers-version;.tar.bz2">
-<!ENTITY linux-headers-md5 "1a42187caf112bd4c5b67a2e724d7615">
+<!ENTITY linux-headers-md5 "50a0022407efedfdf0681bf84f45b761">
 <!ENTITY linux-headers-home "http://headers.cross-lfs.org/">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 37819ea7a52f92e8246346d61ff6906bbc55d43f)
+++ BOOK/patches.ent	(revision 88b0c3d0aa1c9c0ec53edf7445ba2d37cd89bd25)
@@ -183,7 +183,15 @@
 <!-- Start of Alpha patches -->
 
-<!ENTITY aboot-alpha-patch "aboot-&aboot-version;-kernel26_gcc4_fixes-2.patch">
-<!ENTITY aboot-alpha-patch-md5 "a3d87db49dcaa343957998a717c51bf3">
-<!ENTITY aboot-alpha-patch-size "45 KB">
+<!ENTITY aboot-alpha-patch "aboot-&aboot-version;-kernel26_gcc4_fixes-3.patch">
+<!ENTITY aboot-alpha-patch-md5 "8b6d937330eb120f5ce0135621c3845a">
+<!ENTITY aboot-alpha-patch-size "100 KB">
+
+<!ENTITY glibc-ioperm_fix-patch "glibc-&glibc-version;-alpha_ioperm_fix-1.patch">
+<!ENTITY glibc-ioperm_fix-patch-md5 "3a50c4055d2f72248eb656eb2d15edec">
+<!ENTITY glibc-ioperm_fix-patch-size "4 KB">
+
+<!ENTITY linux-io_fix-patch "linux-&linux-version;-alpha_io_fix-1.patch">
+<!ENTITY linux-io_fix-patch-md5 "67f66a5d252e5b82f4aeb3b06f4e5735">
+<!ENTITY linux-io_fix-patch-size "4 KB">
 
 <!-- Start of mips/mips64 patches -->