Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision d250c98921ac799b01077440c4c01bbc67d81722)
+++ BOOK/introduction/common/changelog.xml	(revision 089aac98eb6e862b6927f9ba5a57a1d1b8f41fbe)
@@ -40,6 +40,6 @@
       <itemizedlist>
         <listitem>
-            <para>[William Harrington] - Upgrade DejaGNU to 1.6. Fixes ticket
-            <ulink url="&clfs-ticket-root;1128">#1128.</ulink></para>
+          <para>[William Harrington] - Upgrade DejaGNU to 1.6. Fixes ticket
+          <ulink url="&clfs-ticket-root;1128">#1128.</ulink></para>
         </listitem>
         <listitem>
@@ -52,46 +52,50 @@
         </listitem>
         <listitem>
-            <para>[William Harrington] - Upgrade E2fsprogs to 1.43.4. Fixes
-            ticket <ulink url="&clfs-ticket-root;1113">#1113.</ulink></para> 
-        </listitem>
-        <listitem>
-            <para>[William Harrington] - Upgrade File to 5.30. Fixes
-            ticket <ulink url="&clfs-ticket-root;1131">#1131.</ulink></para> 
-        </listitem>
-        <listitem>
-            <para>[William Harrington] - Upgrade Findutils to 4.6.0. Fixes
-            ticket <ulink url="&clfs-ticket-root;1101">#1101.</ulink></para> 
-        </listitem>
-        <listitem>
-            <para>[William Harrington] - Upgrade Gawk to 4.1.4. Fixes
-            ticket <ulink url="&clfs-ticket-root;1132">#1132.</ulink></para> 
-        </listitem>
-        <listitem>
-            <para>[William Harrington] - Upgrade GDBM to 1.13. Fixes
-            ticket <ulink url="&clfs-ticket-root;1133">#1133.</ulink></para> 
-        </listitem>
-        <listitem>
-            <para>[William Harrington] - Upgrade Gettext to 0.19.8.1. Fixes
-            ticket <ulink url="&clfs-ticket-root;1134">#1134.</ulink></para> 
-        </listitem>
-        <listitem>
-            <para>[William Harrington] - Upgrade GMP to 6.1.2. Fixes
-            ticket <ulink url="&clfs-ticket-root;1100">#1100.</ulink></para> 
-        </listitem>
-        <listitem>
-            <para>[William Harrington] - Upgrade GZIP to 1.8. Fixes
-            ticket <ulink url="&clfs-ticket-root;1136">#1136.</ulink></para> 
-        </listitem>
-        <listitem>
-            <para>[William Harrington] - Upgrade KBD to 2.0.4. Fixes
-            ticket <ulink url="&clfs-ticket-root;1137">#1137.</ulink></para> 
-        </listitem>
-        <listitem>
-            <para>[William Harrington] - Upgrade LESS to 491. Fixes
-            ticket <ulink url="&clfs-ticket-root;1139">#1139.</ulink></para> 
-        </listitem>
-        <listitem>
-            <para>[William Harrington] - Upgrade Libestr to 0.1.10. Fixes
-            ticket <ulink url="&clfs-ticket-root;1141">#1141.</ulink></para> 
+          <para>[William Harrington] - Upgrade E2fsprogs to 1.43.4. Fixes
+          ticket <ulink url="&clfs-ticket-root;1113">#1113.</ulink></para> 
+        </listitem>
+        <listitem>
+          <para>[William Harrington] - Upgrade File to 5.30. Fixes
+          ticket <ulink url="&clfs-ticket-root;1131">#1131.</ulink></para> 
+        </listitem>
+        <listitem>
+          <para>[William Harrington] - Upgrade Findutils to 4.6.0. Fixes
+          ticket <ulink url="&clfs-ticket-root;1101">#1101.</ulink></para> 
+        </listitem>
+        <listitem>
+          <para>[William Harrington] - Upgrade Gawk to 4.1.4. Fixes
+          ticket <ulink url="&clfs-ticket-root;1132">#1132.</ulink></para> 
+        </listitem>
+        <listitem>
+          <para>[William Harrington] - Upgrade GDBM to 1.13. Fixes
+          ticket <ulink url="&clfs-ticket-root;1133">#1133.</ulink></para> 
+        </listitem>
+        <listitem>
+          <para>[William Harrington] - Upgrade Gettext to 0.19.8.1. Fixes
+          ticket <ulink url="&clfs-ticket-root;1134">#1134.</ulink></para> 
+        </listitem>
+        <listitem>
+          <para>[William Harrington] - Upgrade GMP to 6.1.2. Fixes
+          ticket <ulink url="&clfs-ticket-root;1100">#1100.</ulink></para> 
+        </listitem>
+        <listitem>
+          <para>[William Harrington] - Upgrade GZIP to 1.8. Fixes
+          ticket <ulink url="&clfs-ticket-root;1136">#1136.</ulink></para> 
+        </listitem>
+        <listitem>
+          <para>[William Harrington] - Upgrade KBD to 2.0.4. Fixes
+          ticket <ulink url="&clfs-ticket-root;1137">#1137.</ulink></para> 
+        </listitem>
+        <listitem>
+          <para>[William Harrington] - Upgrade LESS to 491. Fixes
+          ticket <ulink url="&clfs-ticket-root;1139">#1139.</ulink></para> 
+        </listitem>
+        <listitem>
+          <para>[William Harrington] - Upgrade Libestr to 0.1.10. Fixes
+          ticket <ulink url="&clfs-ticket-root;1141">#1141.</ulink></para> 
+        </listitem>
+        <listitem>
+          <para>[William Harrington] - Upgrade M4 to 1.4.18. Fixes
+          ticket <ulink url="&clfs-ticket-root;1142">#1142.</ulink></para> 
         </listitem>
       </itemizedlist>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision d250c98921ac799b01077440c4c01bbc67d81722)
+++ BOOK/packages.ent	(revision 089aac98eb6e862b6927f9ba5a57a1d1b8f41fbe)
@@ -303,8 +303,8 @@
 <!ENTITY linux-home "http://www.kernel.org">
 
-<!ENTITY m4-version "1.4.17">
-<!ENTITY m4-size "1,149 KB">
+<!ENTITY m4-version "1.4.18">
+<!ENTITY m4-size "1,208 KB">
 <!ENTITY m4-url "&gnu;m4/m4-&m4-version;.tar.xz">
-<!ENTITY m4-md5 "12a3c829301a4fd6586a57d3fcf196dc">
+<!ENTITY m4-md5 "730bb15d96fffe47e148d1e09235af82">
 <!ENTITY m4-home "&gnu-software;m4/m4.html">
 