Index: BOOK/appendices/acronymlist.xml
===================================================================
--- BOOK/appendices/acronymlist.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/appendices/acronymlist.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -458,11 +458,4 @@
 
     <varlistentry>
-      <term><emphasis role="bold">SBU</emphasis></term>
-      <listitem>
-        <para>Standard Build Unit</para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
       <term><emphasis role="bold">SCO</emphasis></term>
       <listitem>
Index: OK/final-preps/aboutsbus.xml
===================================================================
--- BOOK/final-preps/aboutsbus.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ 	(revision )
@@ -1,57 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
-  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-final-preps-aboutsbus">
-  <?dbhtml filename="aboutsbus.html"?>
-
-  <title>About SBUs</title>
-
-  <para>TO BE REWRITTEN</para>
-
-  <!--
-  <para>Many people would like to know beforehand approximately how long
-  it takes to compile and install each package. Because Linux From
-  Scratch can be built on many different systems, it is impossible to
-  provide accurate time estimates.  The biggest package (Glibc) will
-  take approximately 20 minutes on the fastest systems, but could take
-  up to three days on slower systems! Instead of providing actual times,
-  the Static Build Unit (SBU) measure will be
-  used instead.</para>
-
-  <para>The SBU measure works as follows. The first package to be compiled
-  from this book is the statically-linked Binutils in <xref
-  linkend="chapter-temporary-tools"/>.  The time it takes to compile
-  this package is what will be referred to as the Static Build Unit
-  or SBU. All other compile times will be expressed relative to this
-  time.</para>
-
-  <para>For example, consider a package whose compilation time is 4.5
-  SBUs. This means that if a system took 10 minutes to compile and
-  install the static Binutils, it will take
-  <emphasis>approximately</emphasis> 45 minutes to build this example
-  package. Fortunately, most build times are shorter than the one
-  for Binutils.</para>
-
-  <para>Please note that if the system compiler on the host is GCC-2.x based, the
-  SBUs listed may be somewhat understated. This is because the SBU is
-  based on the very first package, compiled with the old GCC, while the
-  rest of the system is compiled with the newer GCC-&gcc-version; (which is
-  known to be approximately 30 percent slower). SBUs are also not
-  highly accurate for Symmetric Multi-Processor (SMP)-based machines.</para>
-
-  <para>In general, SBUs are not entirely accurate because they depend on many
-  factors, including the host system's version of GCC. Note that on Symmetric
-  Multi-Processor (SMP)-based machines, SBUs are even less accurate.  They are
-  provided here to give an estimate of how long it might take to install a
-  package, but the numbers can vary by as much as dozens of minutes in some
-  cases.</para>
-
-  <para>To view actual timings for a number of specific machines, we recommend
-  <ulink url="&lfs-root;~bdubbs/"/>.</para>
-  -->
-
-</sect1>
Index: BOOK/final-preps/chapter.xml
===================================================================
--- BOOK/final-preps/chapter.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/final-preps/chapter.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -17,5 +17,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="settingenviron.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="creatingcrossdir.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="aboutsbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="abouttestsuites.xml"/>
 
Index: BOOK/final-system/common/autoconf.xml
===================================================================
--- BOOK/final-system/common/autoconf.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/final-system/common/autoconf.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -44,6 +44,6 @@
 <screen os="c"><userinput>make</userinput></screen>
 
-    <para os="d">To test the results, issue: <userinput>make check</userinput>.
-    This takes a long time, about 2 SBUs.</para>
+    <para os="d">To test the results, issue:
+    <userinput>make check</userinput>.</para>
 
     <para os="e">Install the package:</para>
Index: BOOK/final-system/common/automake.xml
===================================================================
--- BOOK/final-system/common/automake.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/final-system/common/automake.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -45,6 +45,6 @@
 <screen os="c"><userinput>make</userinput></screen>
 
-    <para os="d">To test the results, issue: <userinput>make check</userinput>.
-    This takes a long time, about 5 SBUs.</para>
+    <para os="d">To test the results, issue:
+    <userinput>make check</userinput>.</para>
 
     <para os="e">Install the package:</para>
Index: BOOK/final-system/common/gettext.xml
===================================================================
--- BOOK/final-system/common/gettext.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/final-system/common/gettext.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -47,6 +47,5 @@
 <screen><userinput>make</userinput></screen>
 
-    <para>To test the results, issue: <userinput>make check</userinput>.
-    This takes a very long time, around 7 SBUs.</para>
+    <para>To test the results, issue: <userinput>make check</userinput>.</para>
 
     <para>Install the package:</para>
Index: BOOK/final-system/multilib/gettext-64bit.xml
===================================================================
--- BOOK/final-system/multilib/gettext-64bit.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/final-system/multilib/gettext-64bit.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -33,6 +33,5 @@
 <screen><userinput>make</userinput></screen>
 
-    <para>To test the results, issue: <userinput>make check</userinput>.
-    This takes a very long time, around 7 SBUs.</para>
+    <para>To test the results, issue: <userinput>make check</userinput>.</para>
 
     <para>Install the package:</para>
Index: BOOK/final-system/multilib/gettext-n32.xml
===================================================================
--- BOOK/final-system/multilib/gettext-n32.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/final-system/multilib/gettext-n32.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -34,6 +34,5 @@
 <screen><userinput>make</userinput></screen>
 
-    <para>To test the results, issue: <userinput>make check</userinput>.
-    This takes a very long time, around 7 SBUs.</para>
+    <para>To test the results, issue: <userinput>make check</userinput>.</para>
 
     <para>Install the package:</para>
Index: BOOK/final-system/multilib/gettext.xml
===================================================================
--- BOOK/final-system/multilib/gettext.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/final-system/multilib/gettext.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -34,6 +34,5 @@
 <screen><userinput>make</userinput></screen>
 
-    <para>To test the results, issue: <userinput>make check</userinput>.
-    This takes a very long time, around 7 SBUs.</para>
+    <para>To test the results, issue: <userinput>make check</userinput>.</para>
 
     <para>Install the package:</para>
Index: BOOK/final-system/x86_64-64/gettext.xml
===================================================================
--- BOOK/final-system/x86_64-64/gettext.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/final-system/x86_64-64/gettext.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -41,6 +41,5 @@
 <screen><userinput>make</userinput></screen>
 
-    <para>To test the results, issue: <userinput>make check</userinput>.
-    This takes a very long time, around 7 SBUs.</para>
+    <para>To test the results, issue: <userinput>make check</userinput>.</para>
 
     <para>Install the package:</para>
Index: BOOK/final-system/x86_64/gettext-64bit.xml
===================================================================
--- BOOK/final-system/x86_64/gettext-64bit.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/final-system/x86_64/gettext-64bit.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -41,6 +41,5 @@
 <screen><userinput>make</userinput></screen>
 
-    <para>To test the results, issue: <userinput>make check</userinput>.
-    This takes a very long time, around 7 SBUs.</para>
+    <para>To test the results, issue: <userinput>make check</userinput>.</para>
 
     <para>Install the package:</para>
Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/general.ent	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!ENTITY version "CLFS-SVN-20051108">
+<!ENTITY version "CLFS-SVN-20051109">
 <!ENTITY version-x86 "&version;-x86">
 <!ENTITY version-x86_64 "&version;-x86_64-Multilib">
@@ -13,5 +13,5 @@
 <!ENTITY version-alpha "&version;-ALPHA">
 
-<!ENTITY releasedate "November 8, 2005">
+<!ENTITY releasedate "November 9, 2005">
 <!ENTITY milestone "0.1">
 <!ENTITY generic-version "svn"> <!-- Use "svn", "testing", or "x.y[-pre{x}]" -->
@@ -33,6 +33,4 @@
 <!ENTITY sourceforge "http://prdownloads.sourceforge.net/">
 
-<!ENTITY buildtime "Approximate build time">
-<!ENTITY diskspace "Required disk space">
 <!ENTITY dependencies "Installation depends on">
 
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/introduction/common/changelog.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -38,4 +38,13 @@
     </listitem>
 -->
+
+    <listitem>
+      <para>November 9, 2005</para>
+      <itemizedlist>
+        <listitem>
+          <para>[manuel] - Removed SBUs and disk usage information.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: BOOK/temp-system/64/binutils.xml
===================================================================
--- BOOK/temp-system/64/binutils.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/temp-system/64/binutils.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -45,18 +45,4 @@
     xpointer="xpointer(//*[@os='h'])"/>
 
-    <!-- To be moved to their proper file (or full removed) when decided
-    how to manage SBUs
-
-    <note>
-      <para>In order for the SBU values listed in the rest of the book
-      to be of any use, measure the time it takes to build this package from
-      the configuration, up to and including the first install. To achieve
-      this easily, wrap the four commands in a <command>time</command>
-      command like this: <userinput>time { ./configure ... &amp;&amp; ...
-      &amp;&amp; ... &amp;&amp; make install; }</userinput>.</para>
-    </note>
-
-    -->
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/binutils.xml"
Index: BOOK/temp-system/common/binutils.xml
===================================================================
--- BOOK/temp-system/common/binutils.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/temp-system/common/binutils.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -46,18 +46,4 @@
     xpointer="xpointer(//*[@os='h'])"/>
 
-    <!-- To be moved to their proper file (or full removed) when decided
-    how to manage SBUs
-
-    <note>
-      <para>In order for the SBU values listed in the rest of the book
-      to be of any use, measure the time it takes to build this package from
-      the configuration, up to and including the first install. To achieve
-      this easily, wrap the four commands in a <command>time</command>
-      command like this: <userinput>time { ./configure ... &amp;&amp; ...
-      &amp;&amp; ... &amp;&amp; make install; }</userinput>.</para>
-    </note>
-
-    -->
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/binutils.xml"
Index: BOOK/temp-system/multilib/binutils.xml
===================================================================
--- BOOK/temp-system/multilib/binutils.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/temp-system/multilib/binutils.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -53,18 +53,4 @@
     xpointer="xpointer(//*[@os='h'])"/>
 
-    <!-- To be moved to their proper file (or full removed) when decided
-    how to manage SBUs
-
-    <note>
-      <para>In order for the SBU values listed in the rest of the book
-      to be of any use, measure the time it takes to build this package from
-      the configuration, up to and including the first install. To achieve
-      this easily, wrap the four commands in a <command>time</command>
-      command like this: <userinput>time { ./configure ... &amp;&amp; ...
-      &amp;&amp; ... &amp;&amp; make install; }</userinput>.</para>
-    </note>
-
-    -->
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/binutils.xml"
Index: BOOK/temp-system/sparc/binutils.xml
===================================================================
--- BOOK/temp-system/sparc/binutils.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/temp-system/sparc/binutils.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -62,18 +62,4 @@
     xpointer="xpointer(//*[@os='h'])"/>
 
-    <!-- To be moved to their proper file (or full removed) when decided
-    how to manage SBUs
-
-    <note>
-      <para>In order for the SBU values listed in the rest of the book
-      to be of any use, measure the time it takes to build this package from
-      the configuration, up to and including the first install. To achieve
-      this easily, wrap the four commands in a <command>time</command>
-      command like this: <userinput>time { ./configure ... &amp;&amp; ...
-      &amp;&amp; ... &amp;&amp; make install; }</userinput>.</para>
-    </note>
-
-    -->
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/binutils.xml"
Index: BOOK/temp-system/sparc64-64/binutils.xml
===================================================================
--- BOOK/temp-system/sparc64-64/binutils.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/temp-system/sparc64-64/binutils.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -61,18 +61,4 @@
     xpointer="xpointer(//*[@os='h'])"/>
 
-    <!-- To be moved to their proper file (or full removed) when decided
-    how to manage SBUs
-
-    <note>
-      <para>In order for the SBU values listed in the rest of the book
-      to be of any use, measure the time it takes to build this package from
-      the configuration, up to and including the first install. To achieve
-      this easily, wrap the four commands in a <command>time</command>
-      command like this: <userinput>time { ./configure ... &amp;&amp; ...
-      &amp;&amp; ... &amp;&amp; make install; }</userinput>.</para>
-    </note>
-
-    -->
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/binutils.xml"
Index: BOOK/temp-system/sparc64/binutils.xml
===================================================================
--- BOOK/temp-system/sparc64/binutils.xml	(revision 3373dd1114fb29753f35b3d3576fa4cfe321e9c5)
+++ BOOK/temp-system/sparc64/binutils.xml	(revision 93aa3363c1eb52f4b2ea1d22670437f78b4d9fb7)
@@ -69,18 +69,4 @@
     xpointer="xpointer(//*[@os='h'])"/>
 
-    <!-- To be moved to their proper file (or full removed) when decided
-    how to manage SBUs
-
-    <note>
-      <para>In order for the SBU values listed in the rest of the book
-      to be of any use, measure the time it takes to build this package from
-      the configuration, up to and including the first install. To achieve
-      this easily, wrap the four commands in a <command>time</command>
-      command like this: <userinput>time { ./configure ... &amp;&amp; ...
-      &amp;&amp; ... &amp;&amp; make install; }</userinput>.</para>
-    </note>
-
-    -->
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/binutils.xml"