Index: BOOK/final-system/alpha-chapter.xml
===================================================================
--- BOOK/final-system/alpha-chapter.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/alpha-chapter.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -23,4 +23,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpfr.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/isl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/cloog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/zlib.xml"/>
Index: BOOK/final-system/common/cloog.xml
===================================================================
--- BOOK/final-system/common/cloog.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/common/cloog.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -32,5 +32,5 @@
 <screen os="b"><userinput>CC="gcc -isystem /usr/include" \
 LDFLAGS="-Wl,-rpath-link,/usr/lib:/lib" \
-  ./configure --prefix=/usr --enable-shared</userinput></screen>
+  ./configure --prefix=/usr --enable-shared --with-isl=system</userinput></screen>
 
     <para os="c">Compile the package:</para>
@@ -63,6 +63,6 @@
       <seglistitem>
         <seg>cloog</seg>
-        <seg>libcloog-isl.[a,so], libisl.[a,so]</seg>
-        <seg>/usr/include/cloog, /usr/include/isl</seg>
+        <seg>libcloog-isl.[a,so]</seg>
+        <seg>/usr/include/cloog</seg>
       </seglistitem>
     </segmentedlist>
@@ -93,14 +93,4 @@
       </varlistentry>
 
-      <varlistentry id="libisl">
-        <term><filename class="libraryfile">libisl</filename></term>
-        <listitem>
-          <para>The Integer Set Library.</para>
-          <indexterm zone="ch-system-cloog libisl">
-            <primary sortas="c-libisl">libisl</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
     </variablelist>
 
Index: BOOK/final-system/mips-chapter.xml
===================================================================
--- BOOK/final-system/mips-chapter.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/mips-chapter.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -23,4 +23,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpfr.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/isl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/cloog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/zlib.xml"/>
Index: BOOK/final-system/mips64-64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-64-chapter.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/mips64-64-chapter.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -23,4 +23,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpfr.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/isl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/cloog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/zlib.xml"/>
Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/mips64-chapter.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -31,4 +31,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/mpc-n32.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/mpc-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/isl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/isl-n32.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/isl-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/cloog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/cloog-n32.xml"/>
Index: BOOK/final-system/multilib/cloog-64bit.xml
===================================================================
--- BOOK/final-system/multilib/cloog-64bit.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/multilib/cloog-64bit.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -29,5 +29,5 @@
 LDFLAGS="-Wl,-rpath-link,/usr/lib64:/lib64 ${BUILD64}" \
   ./configure --prefix=/usr \
-    --libdir=/usr/lib64 --enable-shared</userinput></screen>
+    --libdir=/usr/lib64 --enable-shared --with-isl=system</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/multilib/cloog-n32.xml
===================================================================
--- BOOK/final-system/multilib/cloog-n32.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/multilib/cloog-n32.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -30,5 +30,5 @@
 LDFLAGS="-Wl,-rpath-link,/usr/lib32:/lib32 ${BUILDN32}" \
   ./configure --prefix=/usr \
-    --libdir=/usr/lib32 --enable-shared</userinput></screen>
+    --libdir=/usr/lib32 --enable-shared --with-isl=system</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/multilib/cloog.xml
===================================================================
--- BOOK/final-system/multilib/cloog.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/multilib/cloog.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -30,5 +30,5 @@
 LDFLAGS="-Wl,-rpath-link,/usr/lib:/lib ${BUILD32}" \
   ./configure --prefix=/usr \
-    --host=${CLFS_TARGET32} --enable-shared</userinput></screen>
+    --host=${CLFS_TARGET32} --enable-shared --with-isl=system</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc-chapter.xml
===================================================================
--- BOOK/final-system/ppc-chapter.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/ppc-chapter.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -23,4 +23,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpfr.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/isl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/cloog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/zlib.xml"/>
Index: BOOK/final-system/ppc64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-chapter.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/ppc64-chapter.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -27,4 +27,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/mpc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/mpc-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/isl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/isl-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/cloog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/cloog-64bit.xml"/>
Index: BOOK/final-system/sparc-chapter.xml
===================================================================
--- BOOK/final-system/sparc-chapter.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/sparc-chapter.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -23,4 +23,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpfr.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/isl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/cloog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/zlib.xml"/>
Index: BOOK/final-system/sparc64-64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-64-chapter.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/sparc64-64-chapter.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -23,4 +23,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpfr.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/isl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/cloog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/zlib.xml"/>
Index: BOOK/final-system/sparc64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-chapter.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/sparc64-chapter.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -27,4 +27,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/mpc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/mpc-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/isl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/isl-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/cloog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/cloog-64bit.xml"/>
Index: BOOK/final-system/x86-chapter.xml
===================================================================
--- BOOK/final-system/x86-chapter.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/x86-chapter.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -23,4 +23,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpfr.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/isl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/cloog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/zlib.xml"/>
Index: BOOK/final-system/x86_64-64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-64-chapter.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/x86_64-64-chapter.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -23,4 +23,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpfr.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/mpc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/isl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/cloog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/zlib.xml"/>
Index: BOOK/final-system/x86_64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-chapter.xml	(revision bcfce32e6318cea519ab7346801df3b4b6b97b05)
+++ BOOK/final-system/x86_64-chapter.xml	(revision 98b3f459272c6ccf2b5f631c8595ed9952e16727)
@@ -27,4 +27,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/mpc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/mpc-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/isl.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/isl-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/cloog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/cloog-64bit.xml"/>