Index: BOOK/cross-tools/mips64-chapter.xml
===================================================================
--- BOOK/cross-tools/mips64-chapter.xml	(revision d97338a80077c5020f2821d60f34d53b068e6103)
+++ BOOK/cross-tools/mips64-chapter.xml	(revision 99e2d5777e30c64bc3703dfb984c36459f924f30)
@@ -27,9 +27,9 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/cloog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/binutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/gcc-static.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/gcc-static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/glibc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/glibc-n32.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/glibc-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/gcc-final.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/gcc-final.xml"/>
 
 </chapter>
Index: OK/cross-tools/mips64/gcc-final.xml
===================================================================
--- BOOK/cross-tools/mips64/gcc-final.xml	(revision d97338a80077c5020f2821d60f34d53b068e6103)
+++ 	(revision )
@@ -1,95 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-cross-tools-gcc-final" role="wrap">
-  <?dbhtml filename="gcc-final.html"?>
-
-  <title>Cross GCC-&gcc-version; - Final</title>
-
-  <indexterm zone="ch-cross-tools-gcc-final">
-    <primary sortas="a-GCC">GCC</primary>
-    <secondary>cross tools, final</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../../final-system/common/gcc.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of GCC Cross Compiler</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@os='p1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@os='p2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="gcc-static.xml"
-    xpointer="xpointer(//*[@os='aa'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="gcc-static.xml"
-    xpointer="xpointer(//*[@os='ab'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="gcc-static.xml"
-    xpointer="xpointer(//*[@os='ag'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="gcc-static.xml"
-    xpointer="xpointer(//*[@os='ah'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="gcc-static.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="gcc-static.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="gcc-static.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../multilib/gcc-final.xml"
-    xpointer="xpointer(//*[@os='bf'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-final.xml"
-    xpointer="xpointer(//*[@os='bg'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-final.xml"
-    xpointer="xpointer(//*[@os='bh'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-final.xml"
-    xpointer="xpointer(//*[@os='bi'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-final.xml"
-    xpointer="xpointer(//*[@os='bj'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-final.xml"
-    xpointer="xpointer(//*[@os='bk'])"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-gcc" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: OK/cross-tools/mips64/gcc-static.xml
===================================================================
--- BOOK/cross-tools/mips64/gcc-static.xml	(revision d97338a80077c5020f2821d60f34d53b068e6103)
+++ 	(revision )
@@ -1,116 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-cross-tools-gcc-static" role="wrap">
-  <?dbhtml filename="gcc-static.html"?>
-
-  <title>Cross GCC-&gcc-version; - Static</title>
-
-  <indexterm zone="ch-cross-tools-gcc-static">
-    <primary sortas="a-GCC">GCC</primary>
-    <secondary>cross tools, static</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../../final-system/common/gcc.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of Cross GCC Compiler with Static libgcc
-    and no Threads</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@os='p1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@os='p2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-static.xml"
-    xpointer="xpointer(//*[@os='aa'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-static.xml"
-    xpointer="xpointer(//*[@os='ab'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-static.xml"
-    xpointer="xpointer(//*[@os='ag'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../ppc/gcc-static.xml"
-    xpointer="xpointer(//*[@os='ah'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-static.xml"
-    xpointer="xpointer(//*[@os='t1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-static.xml"
-    xpointer="xpointer(//*[@os='t2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../final-system/common/gcc.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../multilib/gcc-static.xml"
-    xpointer="xpointer(//*[@os='al'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-static.xml"
-    xpointer="xpointer(//*[@os='am'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-static.xml"
-    xpointer="xpointer(//*[@os='an'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-static.xml"
-    xpointer="xpointer(//*[@os='ao'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-static.xml"
-    xpointer="xpointer(//*[@os='ap'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-static.xml"
-    xpointer="xpointer(//*[@os='aq'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-static.xml"
-    xpointer="xpointer(//*[@os='ar'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-static.xml"
-    xpointer="xpointer(//*[@os='as'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/gcc-static.xml"
-    xpointer="xpointer(//*[@os='at'])"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-gcc" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: BOOK/cross-tools/ppc64-chapter.xml
===================================================================
--- BOOK/cross-tools/ppc64-chapter.xml	(revision d97338a80077c5020f2821d60f34d53b068e6103)
+++ BOOK/cross-tools/ppc64-chapter.xml	(revision 99e2d5777e30c64bc3703dfb984c36459f924f30)
@@ -27,8 +27,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/cloog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/binutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/gcc-static.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/gcc-static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/glibc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/glibc-64bit.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/gcc-final.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/gcc-final.xml"/>
 
 </chapter>