Index: introduction/ppc64/changelog.xml
===================================================================
--- introduction/ppc64/changelog.xml	(revision f59f08e081247eb4fc3a0bddcbea57b4841e84fb)
+++ introduction/ppc64/changelog.xml	(revision 116aa5e56d024f4d5c57679185415d51c23222a8)
@@ -43,4 +43,10 @@
           <para>[jhuntwork] - Use multilib binutils.</para>
         </listitem>
+        <listitem>
+          <para>[jhuntwork] - Finalized cross-tools section.</para>
+        </listitem>
+        <listitem>
+          <para>[jhuntwork] - Finalized temp-system section.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
@@ -58,7 +64,4 @@
           <para>[jhuntwork] - Added a flags page in cross-tools.</para>
         </listitem>
-        <listitem>
-          <para>[jhuntwork] - Finalized cross-tools section.</para>
-        </listitem>
       </itemizedlist>
     </listitem>
Index: temp-system/ppc64-chapter.xml
===================================================================
--- temp-system/ppc64-chapter.xml	(revision f59f08e081247eb4fc3a0bddcbea57b4841e84fb)
+++ temp-system/ppc64-chapter.xml	(revision 116aa5e56d024f4d5c57679185415d51c23222a8)
@@ -13,21 +13,21 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/introduction.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/variables.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/binutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc/gcc.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gawk.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/coreutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bzip2.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gzip.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/diffutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/findutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/make.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/grep.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/sed.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/gettext.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/ncurses.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/tar.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/bash.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/texinfo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/binutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppc64/gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gawk.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/coreutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/bzip2.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gzip.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/diffutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/findutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/make.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/grep.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/sed.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/gettext.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/ncurses.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/patch.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/tar.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/bash.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="multilib/texinfo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/choose.xml"/>
 
Index: temp-system/ppc64/gcc.xml
===================================================================
--- temp-system/ppc64/gcc.xml	(revision 116aa5e56d024f4d5c57679185415d51c23222a8)
+++ temp-system/ppc64/gcc.xml	(revision 116aa5e56d024f4d5c57679185415d51c23222a8)
@@ -0,0 +1,143 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-temp-system-gcc" role="wrap">
+  <?dbhtml filename="gcc.html"?>
+
+  <title>GCC-&gcc-version;</title>
+
+  <indexterm zone="ch-temp-system-gcc">
+    <primary sortas="a-GCC">GCC</primary>
+    <secondary>temporary system</secondary>
+  </indexterm>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+  href="../../final-system/common/gcc.xml"
+  xpointer="xpointer(//*[@role='package'])"/>
+
+  <sect2 role="installation">
+    <title>Installation of GCC</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../cross-tools/x86_64/gcc-static.xml"
+    xpointer="xpointer(//*[@os='aa'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../cross-tools/x86_64/gcc-static.xml"
+    xpointer="xpointer(//*[@os='ab'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../cross-tools/x86_64/gcc-static.xml"
+    xpointer="xpointer(//*[@os='ac'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../cross-tools/x86_64/gcc-static.xml"
+    xpointer="xpointer(//*[@os='ad'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../cross-tools/x86_64/gcc-static.xml"
+    xpointer="xpointer(//*[@os='ae'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../cross-tools/x86_64/gcc-static.xml"
+    xpointer="xpointer(//*[@os='af'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/gcc.xml"
+    xpointer="xpointer(//*[@os='cd'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/gcc.xml"
+    xpointer="xpointer(//*[@os='ce'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/gcc.xml"
+    xpointer="xpointer(//*[@os='cf'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/gcc.xml"
+    xpointer="xpointer(//*[@os='cg'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/gcc.xml"
+    xpointer="xpointer(//*[@os='ch'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/gcc.xml"
+    xpointer="xpointer(//*[@os='ci'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86_64/gcc.xml"
+    xpointer="xpointer(//*[@os='da'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86_64/gcc.xml"
+    xpointer="xpointer(//*[@os='db'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../cross-tools/x86_64/gcc-static.xml"
+    xpointer="xpointer(//*[@os='ak'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/common/gcc.xml"
+    xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/common/gcc.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/gcc.xml"
+    xpointer="xpointer(//*[@os='cj'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/common/gcc.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86_64/gcc.xml"
+    xpointer="xpointer(//*[@os='dc'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86_64/gcc.xml"
+    xpointer="xpointer(//*[@os='dd'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/gcc.xml"
+    xpointer="xpointer(//*[@os='cm'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/gcc.xml"
+    xpointer="xpointer(//*[@os='cn'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/gcc.xml"
+    xpointer="xpointer(//*[@os='co'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/gcc.xml"
+    xpointer="xpointer(//*[@os='cp'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/common/gcc.xml"
+    xpointer="xpointer(//*[@os='w'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/gcc.xml"
+    xpointer="xpointer(//*[@os='cq'])"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in <xref
+    linkend="contents-gcc" role="."/></para>
+
+  </sect2>
+
+</sect1>